%global __brp_check_rpaths %{nil}
%global packname  BayesPostEst
%global packver   0.3.2
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.3.2
Release:          1%{?dist}%{?buildtag}
Summary:          Generate Postestimation Quantities for Bayesian MCMC Estimation

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.5.0
Requires:         R-core >= 3.5.0
BuildArch:        noarch
BuildRequires:    R-CRAN-tidyr >= 0.5.1
BuildRequires:    R-CRAN-dplyr >= 0.5.0
BuildRequires:    R-CRAN-coda >= 0.13
BuildRequires:    R-CRAN-carData 
BuildRequires:    R-CRAN-caTools 
BuildRequires:    R-CRAN-ggplot2 
BuildRequires:    R-CRAN-ggridges 
BuildRequires:    R-CRAN-reshape2 
BuildRequires:    R-CRAN-rlang 
BuildRequires:    R-stats 
BuildRequires:    R-CRAN-texreg 
BuildRequires:    R-CRAN-HDInterval 
BuildRequires:    R-CRAN-ROCR 
BuildRequires:    R-graphics 
BuildRequires:    R-grDevices 
BuildRequires:    R-CRAN-R2jags 
BuildRequires:    R-CRAN-runjags 
BuildRequires:    R-CRAN-rstanarm 
BuildRequires:    R-CRAN-rjags 
BuildRequires:    R-CRAN-MCMCpack 
BuildRequires:    R-CRAN-R2WinBUGS 
BuildRequires:    R-CRAN-brms 
Requires:         R-CRAN-tidyr >= 0.5.1
Requires:         R-CRAN-dplyr >= 0.5.0
Requires:         R-CRAN-coda >= 0.13
Requires:         R-CRAN-carData 
Requires:         R-CRAN-caTools 
Requires:         R-CRAN-ggplot2 
Requires:         R-CRAN-ggridges 
Requires:         R-CRAN-reshape2 
Requires:         R-CRAN-rlang 
Requires:         R-stats 
Requires:         R-CRAN-texreg 
Requires:         R-CRAN-HDInterval 
Requires:         R-CRAN-ROCR 
Requires:         R-graphics 
Requires:         R-grDevices 
Requires:         R-CRAN-R2jags 
Requires:         R-CRAN-runjags 
Requires:         R-CRAN-rstanarm 
Requires:         R-CRAN-rjags 
Requires:         R-CRAN-MCMCpack 
Requires:         R-CRAN-R2WinBUGS 
Requires:         R-CRAN-brms 

%description
An implementation of functions to generate and plot postestimation
quantities after estimating Bayesian regression models using Markov chain
Monte Carlo (MCMC). Functionality includes the estimation of the
Precision-Recall curves (see Beger, 2016 <doi:10.2139/ssrn.2765419>), the
implementation of the observed values method of calculating predicted
probabilities by Hanmer and Kalkan (2013)
<doi:10.1111/j.1540-5907.2012.00602.x>, the implementation of the average
value method of calculating predicted probabilities (see King, Tomz, and
Wittenberg, 2000 <doi:10.2307/2669316>), and the generation and plotting
of first differences to summarize typical effects across covariates (see
Long 1997, ISBN:9780803973749; King, Tomz, and Wittenberg, 2000
<doi:10.2307/2669316>). This package can be used with MCMC output
generated by any Bayesian estimation tool including 'JAGS', 'BUGS',
'MCMCpack', and 'Stan'.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
